Page MenuHomeFreeBSD

New Port: textproc/kibana4
ClosedPublic

Authored by junovitch on Aug 4 2015, 2:06 AM.
Tags
None
Referenced Files
Unknown Object (File)
Tue, Nov 29, 2:55 AM
Unknown Object (File)
Apr 13 2017, 3:34 PM
Unknown Object (File)
Apr 9 2017, 9:29 AM
Unknown Object (File)
Mar 31 2017, 5:04 AM
Unknown Object (File)
Mar 22 2017, 9:05 AM
Unknown Object (File)
Mar 9 2017, 11:54 AM
Unknown Object (File)
Jan 1 2017, 2:46 AM
Unknown Object (File)
Nov 17 2016, 7:27 AM
Subscribers
None

Details

Summary

Commit log:

New Port: textproc/kibana4

Kibana is an open source (Apache Licensed), browser based analytics and search 
dashboard for Elasticsearch. Kibana is a snap to setup and start using. Kibana 
strives to be easy to get started with, while also being flexible and powerful,
just like Elasticsearch

WWW: https://www.elastic.co/products/kibana

PR:		200582
Submitted by:	Sergey Kozlov (kozlov.sergey.404@gmail.com)
Approved by:	(feld|delphij|pgollucci) (mentor)
Test Plan

portlint:

% portlint -AC
looks fine.

Poudriere:
https://bugs.freebsd.org/bugzilla/attachment.cgi?id=158566

Runtime:
Checked basic functionality while testing the most recent rounds of security updates for Elasticsearch in https://bugs.FreeBSD.org/201834

pkg install elasticsearch-1.7.0 kibana4-4.1.1 logstash-1.5.3
sed -i '' -e '/embedded/ s/false/true/' /usr/local/etc/logstash/logstash.conf
service elasticsearch start; service kibana start; service logstash start

Basic function check via http://<jail_ip>:5601 via Kibana's built in Node web server.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

junovitch retitled this revision from to New Port: textproc/kibana4.
junovitch updated this object.
junovitch edited the test plan for this revision. (Show Details)
junovitch edited the test plan for this revision. (Show Details)
junovitch edited reviewers, added: feld, delphij, pgollucci; removed: Contributor Reviewers (ports).
junovitch updated this object.
junovitch updated this object.
delphij edited edge metadata.

Looks fine. (Note: you can use 'addport.sh' which would do the parent tree portion for you).

This revision is now accepted and ready to land.Aug 5 2015, 10:41 PM
This revision was automatically updated to reflect the committed changes.